-- 企业库存信息
	SELECT
			li.itemName AS goodsName,
			li.itemCode AS codeTs,
			i.unitDesc AS gUnit,
			SUM(li.onHandQty) AS gQty,
			CONCAT(i.itemSize,'-',i.itemColor,'-',i.itemStyle) as goodsModel
		FROM
			location_inventory li
		LEFT JOIN item i ON li.itemCode = i. CODE
		GROUP BY
		li.itemCode;

-- 企业货物上下架信息
-- 上架
SELECT
				rc.created AS shelfLoadTime,
				rc.itemCode AS skuNo,
				rc.itemCode AS codeTs,
				rc.itemCode AS goodsId,
				rc.quantity AS gQty,
				rc.toLocation AS seatNo,
				i.unitDesc AS gUnit,
				'I' AS shelfLoadType,
				i.`name` AS goodsName,
				CONCAT(
					i.itemSize,
					'-',
					i.itemColor,
					'-',
					i.itemStyle
				) AS goodsModel
			FROM
				receipt_container rc
			LEFT JOIN item i ON rc.itemcode = i. CODE
-- 下架
SELECT
	i.`name` AS goodsName,
	itemCode AS codeTs,
	itemCode AS skuNo,
	itemCode AS goodsId,
	quantity AS gQty,
	i.unitDesc AS gUnit,
	CONCAT(
		i.itemSize,
		'-',
		i.itemColor,
		'-',
		i.itemStyle
	) AS goodsModel,
	originalPickLoc AS seatNo,
	scd.created AS shelfLoadTime,
	'E' AS shelfLoadType
FROM
	Shipping_container_detail scd
LEFT JOIN item i ON scd.itemCode = i.`code`;

-- 企业货物在仓库的移动信息
SELECT
	td.taskType AS taskType,
	td.created AS created,
	td.toLoc AS targetSeatNo,
	td.fromLoc AS originSeatNo,
	td.itemName AS goodsName,
	td.itemCode AS codeTs,
	td.totalqty AS gQty,
	td.itemCode AS skuNo,
	td.itemCode AS goodsId,
	td.warehouseCode AS storeCode,
	i.unitDesc AS gUnit,
CONCAT(i.itemSize,'-',i.itemColor,'-',i.itemStyle) as goodsModel
FROM
	task_detail td
LEFT JOIN item i on td.itemcode = i.CODE
--库位上的货物信息
 SELECT
        li.companyCode AS merchSn,
        li.locationCode AS seatNo,
        li.itemName AS goodsName,
        li.itemCode AS codeTs,
        li.itemCode AS skuNo,
        li.itemCode AS goodsId,
        i.unitDesc AS gUnit,
        li.onHandQty AS gQty,
        li.warehouseCode AS storeCode,
        CONCAT(
        i.itemSize,
        '-',
        i.itemColor,
        '-',
        i.itemStyle
        ) AS goodsModel
        FROM
        location_inventory li
        LEFT JOIN item i ON li.itemCode = i. CODE